WinCrypt.CTL_USAGE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CTL_USAGE

Package com.sun.jna.platform.win32

# Class WinCrypt.CTL_USAGE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CTL_USAGE

Direct Known Subclasses:
  `WinCrypt.CTL_USAGE.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cUsageIdentifier","rgpszUsageIdentifier"}) public static class WinCrypt.CTL_USAGE extends Structure
The CTL_USAGE structure contains an array of object identifiers (OIDs) for Certificate Trust List (CTL) extensions. CTL_USAGE structures are used in functions that search for CTLs for specific uses.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CTL_USAGE.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cUsageIdentifier`
  `Pointer`
  `rgpszUsageIdentifier`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CTL_USAGE()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getRgpszUsageIdentier()`
  `void`
  `setRgpszUsageIdentier(String[] array)`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cUsageIdentifier

    public int cUsageIdentifier

  - ### rgpszUsageIdentifier

    public Pointer rgpszUsageIdentifier

- ## Constructor Details

  - ### CTL_USAGE

    public CTL_USAGE()

- ## Method Details

  - ### getRgpszUsageIdentier

    public String[] getRgpszUsageIdentier()

  - ### setRgpszUsageIdentier

    public void setRgpszUsageIdentier(String[] array)